Retrieving sources
Learn how to manage payment sources.
Creating shopper payment options
Updating the shopper's payment options
curl --location --request GET 'https://api.digitalriver.com/v1/shoppers/me/payment-options/{paymentOptionid}' \
--header 'authorization: bearer ***\
...
--data-raw '{
"paymentOption": {
"nickName": "DRBank",
"isDefault": "true",
"sourceId": "c25fcccc-6e57-4d93-bafb-a6765510a422"
},
"shopper": {
"ipAddress": "192.168.100.102"
}
}{
"uri": "https://api.digitalriver.com/v1/shoppers/me/payment-options/740865108",
"id": 740865108,
"nickName": "Default",
"isDefault": "true",
"type": "creditCard",
"sourceId": "a231f38d-3a07-4a13-96ed-89693ba7d56c",
"sourceClientSecret": "a231f38d-3a07-4a13-96ed-89693ba7d56c_f6d8c951-59c9-4ef3-ac45-9f33c77d2f46",
"creditCard": {
"expirationYear": "2030",
"lastFourDigits": "0000",
"clientSecret": "a231f38d-3a07-4a13-96ed-89693ba7d56c_f6d8c951-59c9-4ef3-ac45-9f33c77d2f46",
"expirationMonth": "08",
"fundingSource": "debit",
"brand": "Visa",
"reusable": "true"
}
}Getting the shopper's payment options
Getting the shopper's payment option
Last updated